Verify and claim a GitHub App installation after user authorization
curl --request POST \
--url https://api.firedrill.run/v1/github/installations/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"state": "<string>",
"code": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/github/installations/claim"
payload = {
"state": "<string>",
"code": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({state: '<string>', code: '<string>'})
};
fetch('https://api.firedrill.run/v1/github/installations/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"organizationId": "<string>",
"installationId": "<string>",
"accountId": "<string>",
"accountLogin": "<string>",
"accountType": "User",
"state": "active",
"repositorySelection": "all",
"createdAtMs": 0,
"updatedAtMs": 0
}{
"schemaVersion": 1,
"organizationId": "<string>",
"installationId": "<string>",
"accountId": "<string>",
"accountLogin": "<string>",
"accountType": "User",
"state": "active",
"repositorySelection": "all",
"createdAtMs": 0,
"updatedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Verify and claim a GitHub App installation after user authorization
Verify and claim a GitHub App installation after user authorization
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Body
application/json
Response
Existing idempotent installation
Available options:
1 Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^[1-9][0-9]{0,19}$Pattern:
^[1-9][0-9]{0,19}$Required string length:
1 - 255Available options:
User, Organization Available options:
active, suspended, deleted Available options:
all, selected Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991